# `direct_mod_range_hashing` Interface

A mod range-hashing class (uses the modulo function).

Defined in: `hash_policy.hpp`

## Template Parameters

Parameter | Description | Default Value
    typename Size_Type
| Size type. | size_t

## Public Types and Constants

### General Definitions

Type | Definition | Description
    size_type
    Size_Type
| Size type.

## Public Methods

### Constructors, Destructor, and Related

Method | Description
    void
      swap
      (direct_mod_range_hashing &other)
| Swaps content.

## Protected Methods

### Notification Methods

### Operators.

Method | Description
    inline size_type
      operator()
      (size_type hash) const
| Transforms the hash value `hash` into a ranged-hash value (using a modulo operation).